%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions

Summary: php postgresql extension
Summary(ko): php posgresql 확장
Name: php-pgsql
Version: 5.4.23
Release: 2%{?dist}
Epoch: 10
Group: Development/Languages
License: PHP
Source0: mod_pgsql.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi postgresql-libs
BuildRequires: php-devel postgresql-devel

%description
postresql php extension

%prep
%setup -q -n pgsql

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/pgsql.so %{buildroot}%{_extdir}/pgsql.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
for i in apache cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/pgsql.ini <<EOF
extension = pgsql.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/pgsql.so
%config(noreplace) %{_sysconfdir}/php.d/apache/pgsql.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/pgsql.ini

%changelog
* Sat Dec 21 2013 JoungKyun.Kim <http://oops.org> 10:5.4.23-2%{?dist}
- php53_compatible 지원

* Sat Dec 21 2013 JoungKyun.Kim <http://oops.org> 10:5.4.23-1%{?dist}
- update 5.4.23

* Fri Mar 15 2013 JoungKyun.Kim <http://oops.org> 10:5.4.12-1%{?dist}
- update 5.4.12

* Sat Dec 15 2012 JoungKyun.Kim <http://oops.org> 10:5.4.8-3%{?dist}
- initial for 5.4.8
